List of parallel CVODE examples

  cvAdvDiff_non_p       : 1-D advection-diffusion (nonstiff)
  cvAdvDiff_diag_p      : 1-D advection-diffusion with Adams and diagonal linear solver
  cvDiurnal_kry_bbd_p   : 2-D 2-species diurnal advection-diffusion with BBD preconditioner
  cvDiurnal_kry_p       : 2-D 2-species diurnal advection-diffusion


The following CMake command was used to configure SUNDIALS:

 cmake \
-DCMAKE_BUILD_TYPE=DEBUG \
-DBUILD_ARKODE=ON \
-DBUILD_CVODE=ON \
-DBUILD_CVODES=ON \
-DBUILD_IDA=ON \
-DBUILD_IDAS=ON \
-DBUILD_KINSOL=ON \
-DCMAKE_INSTALL_PREFIX=/home/user1/sundials/build/install \
-DEXAMPLES_INSTALL_PATH=/home/user1/sundials/build/install/examples \
-DBUILD_SHARED_LIBS=OFF \
-DBUILD_STATIC_LIBS=ON \
-DEXAMPLES_ENABLE_C=ON \
-DEXAMPLES_ENABLE_CXX=ON \
-DEXAMPLES_INSTALL=ON \
-DENABLE_MPI=ON \
-DENABLE_LAPACK=ON \
-DENABLE_KLU=ON \
-DKLU_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/suitesparse/4.5.3/include \
-DKLU_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/suitesparse/4.5.3/lib \
-DENABLE_HYPRE=ON \
-DHYPRE_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/hypre/2.11.1/include \
-DHYPRE_LIBRARY=/usr/casc/sundials/apps/rh6/hypre/2.11.1/lib/libHYPRE.a \
-DENABLE_OPENMP=ON \
-DENABLE_PTHREAD=ON \
-DENABLE_SUPERLUMT=ON \
-DSUPERLUMT_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/superlu_mt/SuperLU_MT_3.1/SRC \
-DSUPERLUMT_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/superlu_mt/SuperLU_MT_3.1/lib \
-DSUPERLUMT_THREAD_TYPE=Pthread \
-DENABLE_PETSC=ON \
-DPETSC_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/petsc/3.7.2/include \
-DPETSC_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/petsc/3.7.2/lib \
../sundials

  System Architecture: x86_64
  Processor Type: Intel(R) Xeon(R) CPU E31230 @ 3.20GHz
  Operating System: Red Hat 6.8
  C/Fortran Compilers: gcc/gfortran v4.4.7
  MPI: Open MPI v1.8.8
